/* 
    Document   : league
    Created on : October 16, 2007, 1:37 AM
    Author     : Jesse
    Description:
        Purpose of the stylesheet follows.
*/


root { 
    display: block;
}

* {
border: 1px #FF0000;
}

html {
background-color: #BBBBFF; /*#AEE2FA;*/
font-family: Verdana, Geneva, Helvetica, sans-serif;
}

div#head {
text-align: center;
}

body {
background-color: #BBBBFF; /*#AEE2FA;*/
}

label.teamnamelabel {
text-align: right;
width: 200px;
color: red;
margin: 30px;
padding: 10px;
}

label {
padding: 10px;
}

h1 {
}
h2 {
color: #000000;
}
h3 {
color: #000000;
padding: 15px 0 0 0;
margin: 10px 0 0 0;
}
h3.errormsg {
color: red;
font-size: 16px;
}
h4 {
padding: 15px 0 0 0;
margin: 10px 0 0 0;
}
a {
margin: 0 10px;
}

.data {
display: none;
}

table {
background-color: #BBBBBB;
border-color: #000000;
border-width: 5px;
border-style: solid;
margin-left: auto;
margin-right: auto;
}

#scores table {
background-color: #BBBBBB;
border-color: #006000;
border-style: solid;
margin-top: 0px;
margin-bottom: 15px;
border-width: 2px;
}

div#scores {
width: 700px;
}

td.teamresult {
width: 300px;
}

tr.odd {
background-color: #BBBBBB;
}
tr.even {
background-color: #DDDDDD;
}
tr.header {
background-color: #FFFFFF;
}

tr.alta {
text-align: center;
background-color: #DDDDDD;
}

tr.altb {
background-color: #BBBBBB;
}

td {
font-size: 20px;
padding: 5px 10px;
}

table.dashboard {
    background-color: #BBBBFF;
    border-color: #7755AA;
    border-style: none;
    margin-left: auto;
    margin-right: auto;
    border-collapse: separate;
}
td.dashboardmatch {
font-size: 12px;
padding: 2px 2px;
margin: 0px 0px;
width: 150px;
text-align: left;
    border-color: #7755AA;
    border-width: 1px;
    border-style: solid;
    background-color: #BBAAFF;
}
td.dashboardmatchlost {
font-size: 12px;
padding: 2px 2px;
margin: 0px 0px;
width: 150px;
text-align: left;
background-color: #FF0000;
    border-color: #7755AA;
    border-width: 1px;
    border-style: solid;
}
td.dashboardmatchwon {
font-size: 12px;
padding: 2px 2px;
margin: 0px 0px;
width: 150px;
text-align: left;
background-color: #00FF00;
    border-color: #7755AA;
    border-width: 1px;
    border-style: solid;
}
td.dashboardelipse {
    font-size: 28px;
    position: relative;
    top: -10px;
    border-style: none;
}
td.dashboardmatchdone {
    font-size: 12px;
    padding: 2px 2px;
    margin: 0px 0px;
    width: 150px;
    text-align: left;
    background-color: #AAAAAA;
}
td.dashboardnomatch {
    border-color: #7755AA;
    border-width: 1px;
    border-style: solid;border-style: none;
}
td.dashboardteam {
font-size: 18px;
padding: 7px 7px;
margin: 2px 2px;
/*width: 200px;*/
text-align: left;
    border-color: #7755AA;
    border-width: 1px;
    border-style: solid;
    background-color: white;
}
td.dashboardteamout {
font-size: 18px;
padding: 7px 7px;
margin: 2px 2px;
/*width: 200px;*/
text-align: left;
    border-color: #7755AA;
    border-width: 1px;
    border-style: solid;
    background-color: #AAAAAA;
}
td.dashboardnextstep {
font-size: 12px;
padding: 2px 2px;
margin: 0px 0px;
width: 350px;
text-align: left;
border-width: 0px;
border-style: hidden;
}
td.dashboardplace {
font-size: 12px;
padding: 2px 2px;
margin: 0px 0px;
width: 150px;
text-align: left;
border-width: 0px;
border-style: hidden;
}


table.ondeck {
    background-color: transparent;
    border-style: none;
    border-collapse: separate;
}

table.ondeck tr th {
    font-size: 20px;
    border-color: #7755AA;
    border-width: 1px;
    border-style: solid;
    background-color: white;
    margin: 5px;
    padding: 5px;
}
table.ondeck tr td {
    font-size: 40px;
    /*border-color: #7755AA;
    border-width: 1px;
    border-style: solid;*/
    padding: 5px;
}
td.ondeckmatchdone {
background-color: #AAAAAA;
text-decoration: line-through;
}

td.ondeckmatch {
background-color: #7755AA;
}
table.ondeck td.nomatch {
background-color: #BBBBFF;
border-style: none;
}

table.ondeck td.refnote {
    font-size: 16px;
    color: red;
    border-style: none;
}

table#skillshotstandingstable {
background-color: #FFFFFF;
border-collapse: collapse;
border: 5px solid black;
}
td.playername {
text-align: left;
}
td.score {
border-right: 1px solid black;
}
td.secondhalf {
border-left: 1px dashed black;
}

table#reportedscorestable {
border-collapse: collapse;
}

td#weekofplay {
border-right: 3px solid black;
background-color: #FFFFFF;
}
/*
td.teamname {
text-align: left;
margin: 0px;
}*/
td.team {
    width: 500px;
}
tr.headerrow td {
margin: 0px;
}
tr.tpaira td {
border-top: 3px solid black;
border-bottom: 0px;
background-color: #BBBBBB;
}
tr.bpaira td {
border-top: 0px;
border-bottom: 3px solid black;
background-color: #BBBBBB;
}
tr.tpairb td {
border-top: 3px solid black;
border-bottom: 0px;
background-color: #DDDDDD;
}
tr.bpairb td {
border-top: 0px;
border-bottom: 3px solid black;
background-color: #DDDDDD;
}


.box {
text-align: center;
margin: 5px;
background-color: #BBBBFF; /*#AEE2FA;*/
border: 0px;
padding: 0px;
}

.box#info {
text-align: center;
height: 450px;
}

form.logindialog {
display: none;
}

form input#submitbuttonold {
background-color: #007200;
}

form input#submitbutton {
background-color: #BBBBBB;
border-color: #000000;
border-width: 5px;
border-style: solid;
padding: 5px;
margin: 10px 0px 0px 0px;
}

input#loginbutton {
border: 1px solid black;
margin: 3px;
}

.junk {
    display: block;
}

/* stuff for responsive nav bar */
/* Add a black background color to the top navigation */
.topnav {
    background-color: #333;
    overflow: hidden;
    margin-bottom: 15px;
}

/* Style the links inside the navigation bar */
.topnav a {
    float: left;
    display: block;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
}

/* Add an active class to highlight the current page */
/*.active {
     background-color: #4CAF50;
    color: white;
}*/

/* Hide the link that should open and close the topnav on small screens */
.topnav .icon {
    display: none;
}

/* Dropdown container - needed to position the dropdown content */
.dropdown {
    float: left;
    overflow: hidden;
}

/* Style the dropdown button to fit inside the topnav */
.dropdown .dropbtn {
    font-size: 17px; 
    border: none;
    outline: none;
    color: white;
    padding: 14px 16px;
    background-color: #333;
    font-family: inherit;
    margin: 0;
}

/* Style the dropdown content (hidden by default) */
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

/* Style the links inside the dropdown */
 .dropdown-content a {
    float: none;
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}

/* Add a dark background on topnav links and the dropdown button on hover */
.topnav a:hover, .dropdown:hover .dropbtn {
    /*background-color: #555;*/
    color: white;
}

/* Add a grey background to dropdown links on hover */
.dropdown-content a:hover {
    background-color: #ddd;
    color: black;
}

/* Show the dropdown menu when the user moves the mouse over the dropdown button */
.dropdown:hover .dropdown-content {
    display: block;
}

/* When the screen is less than 600 pixels wide, hide all links, except for the first one ("Home"). Show the link that contains should open and close the topnav (.icon) */
@media screen and (max-width: 600px) {
  .topnav a:not(:first-child), .dropdown .dropbtn {
    display: none;
  }
  .topnav a.icon {
    float: right;
    display: block;
  }
}

 /* The "responsive" class is added to the topnav with JavaScript when the user clicks on the icon. This class makes the topnav look good on small screens (display the links vertically instead of horizontally) */
@media screen and (max-width: 600px) {
  .topnav.responsive {position: relative;}
  .topnav.responsive a.icon {
    position: absolute;
    right: 0;
    top: 0;
  }
  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
  .topnav.responsive .dropdown {float: none;}
  .topnav.responsive .dropdown-content {position: relative;}
  .topnav.responsive .dropdown .dropbtn {
    display: block;
    width: 100%;
    text-align: left;
  }
}

/* Junk to change to force re-build */
.dropup .drouppbtn {
    font-size: 17px; 
    border: none;
    outline: none;
    color: white;
    padding: 14px 16px;
    background-color: #333;
    font-family: inherit;
    margin: 0;
}